
    <div>
        <mat-card>
            <h3>Projetos por Área de Conhecimento</h3>
            <mat-card-header>
                
                <form novalidate [formGroup]="form">

                    <div fxLayout="row">
                        <mat-label>Filtros</mat-label>
                        <mat-form-field appearance="outline" fxLayout="column">
                            <mat-label>Quantidades Itens Visualizados</mat-label>
                            <mat-select formControlName="quantidadeIndex" (selectionChange)="atualizarChart($event)">
                                <mat-option value="5">5</mat-option>
                                <mat-option value="10">10</mat-option>
                                <mat-option value="15">15</mat-option>
                                <mat-option value="todos">Todos</mat-option>
                            </mat-select>
                        </mat-form-field>
                       
                        <mat-form-field fxLayout="column" appearance="outline" class="largura-field">
                            <input formControlName="campusNome" type="text" placeholder="Campus" aria-label="Number"
                                matInput [matAutocomplete]="auto">
                            <mat-autocomplete autoActiveFirstOption #auto="matAutocomplete" (optionSelected)="pesquisarPorCampus($event)">
                                <mat-option *ngFor="let option of filteredOptions | async" [value]="option.campus">
                                    {{option.campus}}
                                </mat-option>
                            </mat-autocomplete>
                            <mat-error *ngIf="getCampo('campusNome').invalid">Dados informados inválidos</mat-error>
                        </mat-form-field>                    
                    </div>
                    
                    <div fxLayout="row">
                        <mat-label>{{campusSelecionado}}</mat-label>
                    </div>
                </form>
            </mat-card-header>
            <mat-card-content>
                <canvas baseChart [data]="pieChartData" [labels]="pieChartLabels" [chartType]="pieChartType"
                    [options]="pieChartOptions" [plugins]="pieChartPlugins" [colors]="pieChartColors">
                </canvas>
            </mat-card-content>

        </mat-card>
</div>